### Class

# FwupdPlugin Volume

#### Description [src]

    final class FwupdPlugin.Volume : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

Volume abstraction that uses UDisks.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_volume_new_by_device

Finds the first volume from the specified device.

since: 1.8.2

###### fu_volume_new_by_devnum

Finds the first volume from the specified device.

since: 1.8.2

#### Functions

###### fu_volume_kind_convert_to_gpt

Converts a MBR type to a GPT type.

since: 1.8.6

###### fu_volume_new_by_kind

Finds all volumes of a specific partition type. For ESP type partitions exclude any known partitions names that correspond to recovery partitions.

since: 1.8.2

#### Instance methods

###### fu_volume_check_free_space

Checks the volume for required space.

since: 1.4.6

###### fu_volume_get_block_name

No description available.

###### fu_volume_get_block_size

Gets the logical block size of the volume mount point.

since: 1.9.4

###### fu_volume_get_id

Gets the D-Bus path of the mount point.

since: 1.4.6

###### fu_volume_get_id_type

Return the IdType of the volume.

since: 1.5.2

###### fu_volume_get_mount_point

Gets the location of the volume mount point.

since: 1.4.6

###### fu_volume_get_partition_kind

Gets the partition kind of the volume mount point.

since: 1.8.13

###### fu_volume_get_partition_name

Gets the partition name of the volume mount point.

since: 1.9.10

###### fu_volume_get_partition_number

Gets the number of the partition.

since: 1.9.3

###### fu_volume_get_partition_offset

Gets the offset of the partition.

since: 1.9.3

###### fu_volume_get_partition_size

Gets the size of the partition.

since: 1.9.3

###### fu_volume_get_partition_uuid

Gets the UUID of the partition.

since: 1.9.3

###### fu_volume_get_size

Gets the size of the block device pointed to by the volume.

since: 1.9.3

###### fu_volume_is_encrypted

Checks if the VOLUME is currently encrypted.

since: 1.5.1

###### fu_volume_is_internal

Guesses if the drive is internal to the system.

since: 1.5.2

###### fu_volume_is_mdraid

Determines if a volume is part of an MDRAID array.

since: 1.9.17

###### fu_volume_is_mounted

Checks if the VOLUME is already mounted.

since: 1.4.6

###### fu_volume_locker

Locks the volume, mounting it and unmounting it as required. If the volume is already mounted then it is is not unmounted when the locker is closed.

since: 1.4.6

###### fu_volume_mount

Mounts the VOLUME ready for use.

since: 1.4.6

###### fu_volume_unmount

Unmounts the volume after use.

since: 1.4.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Properties

###### FwupdPlugin.Volume:mount-path

The UNIX mount path.

since: 1.4.6

###### FwupdPlugin.Volume:proxy-block

The proxy for the block interface.

since: 1.4.6

###### FwupdPlugin.Volume:proxy-filesystem

The proxy for the filesystem interface.

since: 1.4.6

###### FwupdPlugin.Volume:proxy-partition

The proxy for the filesystem interface.

since: 1.9.3

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginVolumeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.